Qt 5.9 | Qt 3D | C++ Classes | QAbstractClipAnimator

Qt 5.9.9 Reference Documentation

# QAbstractClipAnimator Class

(Qt3DAnimation::QAbstractClipAnimator)

QAbstractClipAnimator is the base class for types providing animation playback capabilities. More...

Header: | #include <QAbstractClipAnimator>
qmake: | QT += 3danimation
Since: | Qt 5.9
Instantiated By: | AbstractClipAnimator
Inherits: | Qt3DCore::QComponent
Inherited By: | Qt3DAnimation::QBlendedClipAnimator and Qt3DAnimation::QClipAnimator

- List of all members, including inherited members

## Public Types

enum | Loops { Infinite }

## Properties

- channelMapper : Qt3DAnimation::QChannelMapper *
- loops : int
- running : bool

- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| ~QAbstractClipAnimator()
Qt3DAnimation::QChannelMapper * | channelMapper() const
bool | isRunning() const
int | loopCount() const

- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setChannelMapper(Qt3DAnimation::QChannelMapper *channelMapper)
void | setLoopCount(int loops)
void | setRunning(bool running)
void | start()
void | stop()

- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | channelMapperChanged(Qt3DAnimation::QChannelMapper *channelMapper)
void | loopCountChanged(int loops)
void | runningChanged(bool running)

- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QAbstractClipAnimator(Qt3DCore::QNode *parent = nullptr)
| QAbstractClipAnimator(QAbstractClipAnimatorPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

QAbstractClipAnimator is the base class for types providing animation playback capabilities.

Subclasses of QAbstractClipAnimator can be aggregated by a QEntity to provide animation capabilities. The animator components provide an interface for controlling the animation (e.g. start, stop). Each animator type requires some form of animation data such as a QAbstractAnimationClip as well as a QChannelMapper which describes how the channels in the animation clip should be mapped onto the properties of the objects you wish to animate.

The following subclasses are available:

- Qt3DAnimation::QClipAnimator
- Qt3DAnimation::QBlendedClipAnimator

## Member Type Documentation

### enum QAbstractClipAnimator::Loops

## Property Documentation

### channelMapper : Qt3DAnimation::QChannelMapper *

Access functions:

Qt3DAnimation::QChannelMapper * | channelMapper() const
void | setChannelMapper(Qt3DAnimation::QChannelMapper *channelMapper)

Notifier signal:

void | channelMapperChanged(Qt3DAnimation::QChannelMapper *channelMapper)

### loops : int

Access functions:

int | loopCount() const
void | setLoopCount(int loops)

Notifier signal:

void | loopCountChanged(int loops)

### running : bool

Access functions:

bool | isRunning() const
void | setRunning(bool running)

Notifier signal:

void | runningChanged(bool running)

## Member Function Documentation

### `[protected]` QAbstractClipAnimator::QAbstractClipAnimator(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAbstractClipAnimator.

### `[protected]` QAbstractClipAnimator::QAbstractClipAnimator(QAbstractClipAnimatorPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QAbstractClipAnimator::~QAbstractClipAnimator()

Destroys the instance of QAbstractClipAnimator.

### `[slot]` void QAbstractClipAnimator::start()

Starts the animation.

### `[slot]` void QAbstractClipAnimator::stop()

Stops the animation.